package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.domain.PtAppUser;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PtAppUserDao {

    /**
     * 添加数据
     */
    int insert(PtAppUser ptAppUser);

    PtAppUser get(@Param("id") String id);

    /**
     * 按主键查询
     */
    List<PtAppUser> selectByPrimaryKey(String id);

    List<PtAppUser> selectByName(String userName);

    /**
     * 按主键更新数据
     */
    int updateByPrimaryKey(PtAppUser ptAppUser);

    /**
     * 按主键删除数据-物理删除
     */
    int deleteByPrimaryKey(String id);

}
